Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class RecipientStringTerm

    java.lang.Object
      |
      +--javax.mail.search.SearchTerm
            |
            +--javax.mail.search.StringTerm
                  |
                  +--javax.mail.search.AddressStringTerm
                        |
                        +--javax.mail.search.RecipientStringTerm

All Implemented Interfaces:
  java.io.Serializable

public final class RecipientStringTerm
extends AddressStringTerm

This class implements string comparisons for the Recipient Address headers.

Note that this class differs from the `RecipientTerm` class in that this class does comparisons on address strings rather than Address objects. The string comparisons are case-insensitive.

Since:
  JavaMail 1.1
See Also:
  Serialized Form

Fields inherited from class javax.mail.search.StringTerm
`ignoreCase, pattern`

Constructor Summary
`RecipientStringTerm(Message.RecipientType type, java.lang.String pattern)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`Message.RecipientType` | `getRecipientType()` Return the type of recipient to match with.
`int` | `hashCode()` Compute a hashCode for this object.
`boolean` | `match(Message msg)` Check whether the address specified in the constructor is a substring of the recipient address of this Message.

Methods inherited from class javax.mail.search.AddressStringTerm
`match`

Methods inherited from class javax.mail.search.StringTerm
`getIgnoreCase, getPattern, match`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecipientStringTerm

    public RecipientStringTerm(Message.RecipientType type,
                               java.lang.String pattern)

  Constructor.
  Parameters:
    `type` - the recipient type
    `pattern` - the address pattern to be compared.

Method Detail

### getRecipientType

    public Message.RecipientType getRecipientType()

  Return the type of recipient to match with.

### match

    public boolean match(Message msg)

  Check whether the address specified in the constructor is a substring of the recipient address of this Message.
  Overrides:
    `match` in class `SearchTerm`
  Parameters:
    `msg` - The comparison is applied to this Message's recepient address.
  Returns:
    true if the match succeeds, otherwise false.

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.
  Overrides:
    `equals` in class `AddressStringTerm`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.
  Overrides:
    `hashCode` in class `StringTerm`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD